#include "TBBQManager.h"
#include "vistpc.h"

// ROOT

#include "TApplication.h"
#include "TSystem.h"

// EVE

#include "TEveBrowser.h"

// gear docu in $GEAR/doc/html/index.html
// http://ilcagenda.linearcollider.org/getFile.py/access?contribId=0&resId=0&materialId=slides&confId=2930
// export LCIO=/afs/cern.ch/eng/clic/work/sailer/sl5/ilcsoft/v01-08afs/lcio/v01-12-03
// lcio docu in $LCIO/doc/doxygen_api/html/index.html

int main(int argc, char* argv[]) {
   TApplication *app = new TApplication("App", &argc, argv);

   gSystem->Load("libGeom");

   TBBQManager::Create();
   
   app->Run(kTRUE);

   // It gives seg violation when using gBBQ instead of gEve.
   //
   // TEve doesn't know about BBQ. When TEveManager is destroyed, it doesn't
   // set gBBQ to 0.
   //
   // When you quit the app using File->Quit ROOT it properly
   // calls TBBQManager::Terminate.
   // When you click the "close window" button, it doesn't.
   
   if (gEve && gEve->GetBrowser())
      gEve->GetBrowser()->UnmapWindow();

   TBBQManager::Terminate();

   app->Terminate(0);

   return 0;
}
